# eric3.VCS.subversionPackage.CommitDialog

Module implementing a dialog to enter the commit message.

### Classes

SvnCommitDialog | Class implementing a dialog to enter the commit message.

### Functions

None

## SvnCommitDialog

Class implementing a dialog to enter the commit message.

### Derived from

CommitForm

### Methods

SvnCommitDialog | Constructor
logMessage | Public method to retrieve the log message.

### SvnCommitDialog (Constructor)

SvnCommitDialog(parent = None)

Constructor

parent
  parent widget (QWidget)

### SvnCommitDialog.logMessage

logMessage()

Public method to retrieve the log message.

Returns:
  the log message (QString)

Up